<?xml version="1.0"?>
<launch>

   <arg name="rviz" default="true"/>
   <arg name="use_optitrack_calib" default="true"/>

  <arg name="calib_file" default="$(find gstreamer_to_ros_utils)/../config_files/logitech/230125/ost_opti.yaml" />


   <include file="$(find apriltag_detection)/launch/multicamera.launch">
      <arg name="calib_file" value="$(arg calib_file)"/>
   </include>


   <!-- <node name="image_rectif" pkg="image_proc" type="image_proc" clear_params="true" output="screen">
      <remap from="image_raw" to="/image_logitech_camera"/>
      <remap from="camera_info" to="/logitech_camera/camera_info"/>

   </node> -->


  <include file="$(find charuco_detector)/launch/charuco_detector_a4.launch">
        <arg name="image_topic" default="/image_logitech_camera" />
        <arg name="camera_info_topic" default="/logitech_camera/camera_info" />
   </include>


 <node if="$(arg rviz)" name="rviz" pkg="rviz"  type="rviz" args="-d $(find camera_intrinsics_calib)/rviz/check_charuco_result.rviz"/> 


</launch>